Transaction Match

The Transaction Match record represents a match between imported bank transactions and general ledger transactions. You can retrieve and create transaction matches through REST web services.

The record ID is transactionmatch.

Note:

The availability of this record through REST web services enables external AI clients to access and create transaction matches through the NetSuite AI Connector Service. These connections use Model Context Protocol (MCP). For more information, see NetSuite AI Connector Service.

Permissions

Your role must have the Reconcile permission at the following levels:

  • View level or higher to read a record.

  • Create level or higher to create a record.

Account, subsidiary, and applicable transaction restrictions also apply.

For more information, see Permissions for Banking Features.

Prerequisites

To create a transaction match, the associated bank or credit card account must be active. The Use Match Bank Data and Reconcile Account Statement Pages checkbox must be selected on the account record.

Subrecords

The Transaction Match record includes the following subrecords:

  • generalledgertransactionmatch

  • importedtransactionmatch

Limitations

The following fields are system-controlled and read-only:

  • automatch

  • matchtype

  • matchsource

  • suggestedbysystem

  • matchedby

  • reconciledby

The importedtransactionmatch and generalledgertransactionmatch sublists can be populated only when creating the parent Transaction Match record. The child records of the Transaction Match record cannot be created independently. Existing matches cannot be updated.

Retrieving a transaction match

The following example retrieves a transaction match.

Note:

Before sending a request, replace each placeholder in double braces ({{...}}) with the corresponding ID. Replace 123456 in the URL with your NetSuite account ID.

            GET https://123456.suitetalk.api.netsuite.com/services/rest/record/v1/transactionMatch/{{transactionMatchId}} 

          

Creating a transaction match

The following example creates a transaction match.

Note:

Before sending a request, replace each placeholder in double braces ({{...}}) with the corresponding ID. Replace 123456 in the URL with your NetSuite account ID.

Request

            POST https://123456.suitetalk.api.netsuite.com/services/rest/record/v1/transactionMatch
Content-Type: application/json 

          

Request body

            {
  "importedTransactionMatch": {
    "items": [
      {
        "importedTransaction": {
          "id": "{{bankingTransactionId}}"
        }
      }
    ]
  },
  "generalLedgerTransactionMatch": {
    "items": [
      {
        "transactionDoc": {
          "id": "{{transactionDocId}}"
        },
        "transactionLine": {{transactionLineId}}
      }
    ]
  }
} 

          

Related Topics

General Notices